%global rosdistro fuerte
%global stackname rospack
%global gitrev df20e64

Name:           ros-%{rosdistro}-%{stackname}
Version:        2.0.13
Release:        1.git%{gitrev}%{?dist}
Summary:        ROS package and stack tools

License:        BSD
URL:            http://www.ros.org/wiki/rospack
#wget --content-disposition https://github.com/wg-debs/rospack-release/tarball/upstream/2.0.13
Source0:        wg-debs-%{stackname}-release-upstream-%{version}-0-g%{gitrev}.tar.gz
Provides:       ros-%{stackname} = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  gtest
BuildRequires:  ros-%{rosdistro}-catkin

%description
rospack is a command-line tool for retrieving information about ROS packages 
available on the filesystem. It implements a wide variety of commands 
ranging from locating ROS packages in the filesystem, to listing available 
stacks, to calculating the dependency tree of stacks.

%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: ros-%{stackname}-devel = %{version}-%{release}
Summary:  Development files for %{name}

%description devel
Development headers and libraries for %{stackname}

%prep
%setup -q -n wg-debs-%{stackname}-release-21ac403


%build
mkdir build
pushd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/usr/{lib,%{_lib}}

%files
%{_bindir}/rospack
%{_bindir}/rosstack
%{_datadir}/%{stackname}
%{_libdir}/*.so

%files devel
%{_includedir}/%{stackname}
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 2.0.13-1.gitdf20e64
- Initial release
